import request from '@/utils/request'

// 分页查询任务机构信息列表
export function pageListBranch(query) {
  return request({
    url: '/task/branch/pageList',
    method: 'get',
    params: query
  })
}

// 分页查询任务机构信息列表
export function pageListByBranch(query) {
  return request({
    url: '/task/branch/pageListByBranch',
    method: 'get',
    params: query
  })
}

// 分页查询任务机构信息列表
export function pageListByUser(query) {
  return request({
    url: '/task/branch/pageListByUser',
    method: 'get',
    params: query
  })
}

// 查询任务机构信息列表
export function listBranch(query) {
  return request({
    url: '/task/branch/list',
    method: 'get',
    params: query
  })
}

// 查询任务机构信息详细
export function getBranch(id) {
  return request({
    url: '/task/branch/' + id,
    method: 'get'
  })
}

// 新增任务机构信息
export function addBranch(data) {
  return request({
    url: '/task/branch',
    method: 'post',
    data: data
  })
}

// 新增任务机构信息
export function addByUser(data) {
  return request({
    url: '/task/branch/addByUser',
    method: 'post',
    data: data
  })
}

// 撤回任务
export function deleteByUser(data) {
  return request({
    url: '/task/branch/deleteByUser',
    method: 'post',
    data: data
  })
}

// 修改任务机构信息
export function updateBranch(data) {
  return request({
    url: '/task/branch',
    method: 'put',
    data: data
  })
}

// 删除任务机构信息
export function delBranch(id) {
  return request({
    url: '/task/branch/' + id,
    method: 'delete'
  })
}

// 导出任务机构信息
export function exportBranch(query) {
  return request({
    url: '/task/branch/' + 'export',
    method: 'post',
    params: query
  })
}
